net.corda.node.services.api

## Interface MessagingServiceInternal

- All Superinterfaces:
    MessagingService
  All Known Implementing Classes:
    NodeMessagingClient

      public MessagingServiceInternal
      extends MessagingService

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `stop()` Initiates shutdown: if called from a thread that isn't controlled by the executor passed to the constructor then this will block until all in-flight messages have finished being handled and acknowledged. If called from a thread that's a part of the AffinityExecutor given to the constructor, it returns immediately and shutdown is asynchronous.

    - ### Methods inherited from interface net.corda.core.messaging.MessagingService

      `addMessageHandler, addMessageHandler, createMessage, getAddressOfParty, getMyAddress, removeMessageHandler, send`

- - ### Method Detail

    - #### stop

          void stop()

      Initiates shutdown: if called from a thread that isn't controlled by the executor passed to the constructor then this will block until all in-flight messages have finished being handled and acknowledged. If called from a thread that's a part of the AffinityExecutor given to the constructor, it returns immediately and shutdown is asynchronous.

      See Also:
        AffinityExecutor